public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: ntpsec-and-similar: Adjust subtest relevancy
@ 2026-09-11 13:22 Stepan Broz
0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 5d60a68f27b63d9dfd2e53083cce3824b1592f9f
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-05T14:46:52+00:00
Stats : +2/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/5d60a68f27b63d9dfd2e53083cce3824b1592f9f?branch=pr775-checkpolicy-revdeps
Log:
ntpsec-and-similar: Adjust subtest relevancy
Do not test "bz#2246805 + RHEL-15085" on RHEL-9.3 or lower.
---
diff --git a/selinux-policy/ntpsec-and-similar/runtest.sh b/selinux-policy/ntpsec-and-similar/runtest.sh
index 2531b93..30ad45c 100755
--- a/selinux-policy/ntpsec-and-similar/runtest.sh
+++ b/selinux-policy/ntpsec-and-similar/runtest.sh
@@ -58,11 +58,13 @@ rlJournalStart
sleep 2
rlPhaseEnd
+ if ! rlIsRHEL "<9.4" ; then
rlPhaseStartTest "bz#2246805 + RHEL-15085"
rlSEMatchPathCon "/usr/sbin/ntpd" "ntpd_exec_t"
rlSESearchRule "allow ntpd_t ntske_port_t : tcp_socket { name_connect } [ ]"
rlSEMatchPortCon tcp 4460 ntske_port_t
rlPhaseEnd
+ fi
if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then
rlPhaseStartTest "real scenario -- standalone service"
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: ntpsec-and-similar: Adjust subtest relevancy Stepan Broz
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox